package com.ruoyi.interfaces.mapper;

import java.util.List;
import com.ruoyi.interfaces.domain.MdAppFlow;

/**
 * 模型应用流程Mapper接口
 * 
 * @author 朱得糠
 * @date 2025-08-19
 */
public interface MdAppFlowMapper 
{
    /**
     * 查询模型应用流程
     * 
     * @param flowId 模型应用流程主键
     * @return 模型应用流程
     */
    public MdAppFlow selectMdAppFlowByFlowId(Long flowId);

    /**
     * 查询模型应用流程列表
     * 
     * @param mdAppFlow 模型应用流程
     * @return 模型应用流程集合
     */
    public List<MdAppFlow> selectMdAppFlowList(MdAppFlow mdAppFlow);

    /**
     * 新增模型应用流程
     * 
     * @param mdAppFlow 模型应用流程
     * @return 结果
     */
    public int insertMdAppFlow(MdAppFlow mdAppFlow);

    /**
     * 修改模型应用流程
     * 
     * @param mdAppFlow 模型应用流程
     * @return 结果
     */
    public int updateMdAppFlow(MdAppFlow mdAppFlow);

    /**
     * 删除模型应用流程
     * 
     * @param flowId 模型应用流程主键
     * @return 结果
     */
    public int deleteMdAppFlowByFlowId(Long flowId);

    /**
     * 批量删除模型应用流程
     * 
     * @param flowIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMdAppFlowByFlowIds(Long[] flowIds);
}
